Package org.pushingpixels.substance.swingx

# Class SubstanceHeaderUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.HeaderUI
org.jdesktop.swingx.plaf.basic.BasicHeaderUI
org.pushingpixels.substance.swingx.SubstanceHeaderUI

public class SubstanceHeaderUI extends org.jdesktop.swingx.plaf.basic.BasicHeaderUI
Substance-consistent UI delegate for `JXHeader`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicHeaderUI

`org.jdesktop.swingx.plaf.basic.BasicHeaderUI.DescriptionPane`

## Field Summary

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicHeaderUI

`descriptionPane, imagePanel, titleLabel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceHeaderUI()`

## Method Summary

Modifier and Type
Method
Description
`protected org.jdesktop.swingx.painter.Painter<?>`
`createBackgroundPainter()`
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults(org.jdesktop.swingx.JXHeader h)`
`void`
`installUI(JComponent c)`
`protected void`
`uninstallDefaults(org.jdesktop.swingx.JXHeader h)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicHeaderUI

`installComponentDefaults, installComponents, installListeners, onPropertyChange, uninstallComponentDefaults, uninstallComponents, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceHeaderUI

public SubstanceHeaderUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `org.jdesktop.swingx.plaf.basic.BasicHeaderUI`

### installDefaults

protected void installDefaults(org.jdesktop.swingx.JXHeader h)

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicHeaderUI`

### uninstallDefaults

protected void uninstallDefaults(org.jdesktop.swingx.JXHeader h)

Overrides:
  `uninstallDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicHeaderUI`

### createBackgroundPainter

protected org.jdesktop.swingx.painter.Painter<?> createBackgroundPainter()

Overrides:
  `createBackgroundPainter` in class `org.jdesktop.swingx.plaf.basic.BasicHeaderUI`